INTERFACE
SUBROUTINE SUGAWA(KN,PFN,PL,PDL,PW)
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KN
REAL(KIND=JPRB),INTENT(IN) :: PFN(0:KN/2)
REAL(KIND=JPRB),INTENT(OUT) :: PL(KN)
REAL(KIND=JPRB),INTENT(OUT) :: PDL(KN)
REAL(KIND=JPRB),INTENT(OUT) :: PW(KN)
END SUBROUTINE SUGAWA
END INTERFACE
